automake-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Automake-commit] [SCM] GNU Automake branch, master, updated. v1.11-2085


From: Stefano Lattarini
Subject: [Automake-commit] [SCM] GNU Automake branch, master, updated. v1.11-2085-g295c5f2
Date: Thu, 15 Mar 2012 08:24:34 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU Automake".

http://git.sv.gnu.org/gitweb/?p=automake.git;a=commitdiff;h=295c5f26d0646c6f2308fea50899dd961ef87abd

The branch, master has been updated
       via  295c5f26d0646c6f2308fea50899dd961ef87abd (commit)
       via  819005ae2c86c3ef4b77bea7176bb6d8b67ebd64 (commit)
       via  463b6405380ac3ff266f980d30cfeeb55eb796ee (commit)
      from  d1afb320a6bae3b94bfe53c7f6e32bc998bc28cf (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 295c5f26d0646c6f2308fea50899dd961ef87abd
Merge: d1afb32 819005a
Author: Stefano Lattarini <address@hidden>
Date:   Thu Mar 15 09:16:46 2012 +0100

    Merge branch 'maint'
    
    * maint:
      python: avoid failures due to $(am__py_compile) being undefined
      python: expose automake bug#10995
    
    Signed-off-by: Stefano Lattarini <address@hidden>

-----------------------------------------------------------------------

Summary of changes:
 THANKS                                      |    1 +
 lib/am/python.am                            |    3 +-
 tests/list-of-tests.mk                      |    1 +
 tests/{python3.test => python-pr10995.test} |   41 +++++++++++++++++----------
 tests/python.test                           |   11 ++++++-
 5 files changed, 39 insertions(+), 18 deletions(-)
 copy tests/{python3.test => python-pr10995.test} (54%)

diff --git a/THANKS b/THANKS
index c9aaa80..23c1d5d 100644
--- a/THANKS
+++ b/THANKS
@@ -346,6 +346,7 @@ Stefano Lattarini   address@hidden
 Stepan Kasal           address@hidden
 Steve M. Robbins       address@hidden
 Steve Goetze           address@hidden
+Steven Drake           address@hidden
 Steven G. Johnson      address@hidden
 Sven Verdoolaege       address@hidden
 Tamara L. Dahlgren     address@hidden
diff --git a/lib/am/python.am b/lib/am/python.am
index 9d23275..bb2748c 100644
--- a/lib/am/python.am
+++ b/lib/am/python.am
@@ -18,12 +18,13 @@ if %?INSTALL%
 include inst-vars.am
 endif %?INSTALL%
 
+?FIRST?am__py_compile = PYTHON=$(PYTHON) $(SHELL) $(py_compile)
+
 ## ------------ ##
 ## Installing.  ##
 ## ------------ ##
 
 if %?INSTALL%
-?FIRST?am__py_compile = PYTHON=$(PYTHON) $(SHELL) $(py_compile)
 am__installdirs += "$(DESTDIR)$(%NDIR%dir)"
 .PHONY install-%EXEC?exec:data%-am: install-%DIR%PYTHON
 install-%DIR%PYTHON: $(%DIR%_PYTHON)
diff --git a/tests/list-of-tests.mk b/tests/list-of-tests.mk
index 7665db1..70fc8c8 100644
--- a/tests/list-of-tests.mk
+++ b/tests/list-of-tests.mk
@@ -845,6 +845,7 @@ python12.test \
 python-dist.test \
 python-vars.test \
 python-virtualenv.test \
+python-pr10995.test \
 recurs.test \
 recurs2.test \
 remake.test \
diff --git a/tests/python3.test b/tests/python-pr10995.test
similarity index 54%
copy from tests/python3.test
copy to tests/python-pr10995.test
index 72021cd..1b94cf9 100755
--- a/tests/python3.test
+++ b/tests/python-pr10995.test
@@ -1,5 +1,5 @@
 #! /bin/sh
-# Copyright (C) 2002-2012 Free Software Foundation, Inc.
+# Copyright (C) 2012 Free Software Foundation, Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -14,36 +14,47 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-# Make sure we install built python files.
+# Test automake bug#10995: am__py_compile doesn't get correctly defined
+# when there a 'noinst_PYTHON' declaration precedes a 'foo_PYTHON'
+# declaration.
 
 required=python
 . ./defs || Exit 1
 
-cat >>configure.ac <<EOF
+set -e
+
+cat >>configure.in <<'EOF'
 AM_PATH_PYTHON
 AC_OUTPUT
 EOF
 
 cat > Makefile.am <<'END'
-mydir=$(prefix)/my
-my_PYTHON = one.py
-
-one.py:
-       echo 'def one(): return 1' >$@
+yesinstdir = $(prefix)/py
+noinst_PYTHON = no.py
+yesinst_PYTHON = yes.py
+disttest: distdir
+       test -f $(distdir)/no.py
+       test -f $(distdir)/yes.py
 END
 
+echo 'def foo(): return 1' > yes.py
+# no.py shouldn't be byte-compiled, so lets make it syntactically invalid.
+echo 'if' > no.py
+
 $ACLOCAL
 $AUTOCONF
 $AUTOMAKE --add-missing
+test -f py-compile
 
-mkdir inst
 inst=`pwd`/inst
-mkdir build
-cd build
-../configure --prefix="$inst"
+
+./configure --prefix="$inst"
 $MAKE install
-test -f "$inst/my/one.py"
-test -f "$inst/my/one.pyc"
-test -f "$inst/my/one.pyo"
+test -f "$inst/py/yes.py"
+test -f "$inst/py/yes.pyc"
+test ! -f "$inst/py/no.py"
+test ! -f "$inst/py/no.pyc"
+
+$MAKE disttest
 
 :
diff --git a/tests/python.test b/tests/python.test
index 2200d63..de8c0bb 100755
--- a/tests/python.test
+++ b/tests/python.test
@@ -32,6 +32,12 @@ mydir = ${prefix}
 my_PYTHON = d.py
 END
 
+# For automake bug#10995.
+cat > Makefile3.am << 'END'
+noinst_PYTHON = un.py
+python_PYTHON = in.py
+END
+
 $ACLOCAL
 
 AUTOMAKE_fails
@@ -42,10 +48,11 @@ grep '^py_compile *=' Makefile.in
 test -f py-compile
 
 $AUTOMAKE Makefile2
+$AUTOMAKE Makefile3
 
-grep "py" Makefile.in Makefile2.in # For debugging.
+grep "py" Makefile.in Makefile2.in Makefile3.in # For debugging.
 
-for f in Makefile.in Makefile2.in; do
+for f in Makefile.in Makefile2.in Makefile3.in; do
   test `grep -c '^py_compile =' $f` -eq 1
   test `grep -c '^am__py_compile =' $f` -eq 1
 done


hooks/post-receive
-- 
GNU Automake



reply via email to

[Prev in Thread] Current Thread [Next in Thread]